## BamfWindow BamfWindow — The base class for all windows |

## Functions

BamfWindow * | bamf_window_get_transient ()
BamfWindowType | bamf_window_get_window_type ()
guint32 | bamf_window_get_xid ()
guint32 | bamf_window_get_pid ()
gint | bamf_window_get_monitor ()
gchar * | bamf_window_get_utf8_prop ()
BamfWindowMaximizationType | bamf_window_maximized ()
time_t | bamf_window_last_active ()

## Signals

void | maximized-changed | Run First
void | monitor-changed | Run First

## Types and Values

#define | BAMF_WINDOW_SIGNAL_MONITOR_CHANGED
#define | BAMF_WINDOW_SIGNAL_MAXIMIZED_CHANGED
enum | BamfWindowType
enum | BamfWindowMaximizationType

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── BamfView
                ╰── BamfWindow

## Description

BamfWindow is the base class that all windows need to derive from.

## Functions

### bamf_window_get_transient ()

    BamfWindow *
    bamf_window_get_transient (BamfWindow *self);

#### Parameters

self | a BamfWindow |

#### Returns

A transient for this BamfWindow.

[transfer none][allow-none]

### bamf_window_get_window_type ()

    BamfWindowType
    bamf_window_get_window_type (BamfWindow *self);

### bamf_window_get_xid ()

    guint32
    bamf_window_get_xid (BamfWindow *self);

### bamf_window_get_pid ()

    guint32
    bamf_window_get_pid (BamfWindow *self);

### bamf_window_get_monitor ()

    gint
    bamf_window_get_monitor (BamfWindow *self);

### bamf_window_get_utf8_prop ()

    gchar *
    bamf_window_get_utf8_prop (BamfWindow *self,
                               const char *prop);

### bamf_window_maximized ()

    BamfWindowMaximizationType
    bamf_window_maximized (BamfWindow *self);

### bamf_window_last_active ()

    time_t
    bamf_window_last_active (BamfWindow *self);

## Types and Values

### BAMF_WINDOW_SIGNAL_MONITOR_CHANGED

    #define BAMF_WINDOW_SIGNAL_MONITOR_CHANGED   "monitor-changed"

### BAMF_WINDOW_SIGNAL_MAXIMIZED_CHANGED

    #define BAMF_WINDOW_SIGNAL_MAXIMIZED_CHANGED "maximized-changed"

### enum BamfWindowType

#### Members

BAMF_WINDOW_NORMAL |  |
BAMF_WINDOW_DESKTOP |  |
BAMF_WINDOW_DOCK |  |
BAMF_WINDOW_DIALOG |  |
BAMF_WINDOW_TOOLBAR |  |
BAMF_WINDOW_MENU |  |
BAMF_WINDOW_UTILITY |  |
BAMF_WINDOW_SPLASHSCREEN |  |
BAMF_WINDOW_UNKNOWN |  |

### enum BamfWindowMaximizationType

#### Members

BAMF_WINDOW_FLOATING |  |
BAMF_WINDOW_HORIZONTAL_MAXIMIZED |  |
BAMF_WINDOW_VERTICAL_MAXIMIZED |  |
BAMF_WINDOW_MAXIMIZED |  |

## Signal Details

### The `“maximized-changed”` signal

    void
    user_function (BamfWindow *bamfwindow,
                   int         arg1,
                   int         arg2,
                   gpointer    user_data)

Flags: Run First

### The `“monitor-changed”` signal

    void
    user_function (BamfWindow *bamfwindow,
                   int         arg1,
                   int         arg2,
                   gpointer    user_data)

Flags: Run First